
package de.ivu.elect.business.wahlbeteiligung.boundary;

import org.apache.deltaspike.core.api.scope.ConversationGroup;
import org.apache.deltaspike.core.api.scope.GroupedConversationScoped;

import de.ivu.elect.business.wahl.entity.Wahl;
import de.ivu.elect.business.wahlbeteiligung.entity.WahlbeteiligungAuswertung;

@GroupedConversationScoped
@ConversationGroup(AbstractWahlbeteiligungAuswertungSearchParameters.class)
public class WahlbeteiligungAuswertungSearchParameters extends AbstractWahlbeteiligungAuswertungSearchParameters {

  private static final long serialVersionUID = 1L;

  private WahlbeteiligungAuswertung wahlbeteiligungAuswertung;

  public WahlbeteiligungAuswertung getWahlbeteiligungAuswertung() {
    if (wahlbeteiligungAuswertung == null) {
      wahlbeteiligungAuswertung = new WahlbeteiligungAuswertung();
      wahlbeteiligungAuswertung.setTyp(null);
      wahlbeteiligungAuswertung.setStatus(null);
    }
    return wahlbeteiligungAuswertung;
  }

  public Wahl getWahl() {
    return getWahlbeteiligungAuswertung().getWahl();
  }

  public void setWahl(Wahl wahl) {
    getWahlbeteiligungAuswertung().setWahl(wahl);
    ;
  }

  @Override
  public void reset() {
    super.reset();
    wahlbeteiligungAuswertung = null;
  }
}
